summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
authorSteven G. Harms <sharms@shopittome.com>2012-04-05 10:18:16 -0700
committerSteven G. Harms <sharms@shopittome.com>2012-04-05 10:18:22 -0700
commit9b05a44387f84ae0b24e24023286534d0bbdf65f (patch)
tree133ed87440a1843f3a34f1b8991423dc9ebc53bd /plugins
parentf4944d5a9537eb4bdc4991fe63e6d249f9e5b478 (diff)
downloadzsh-9b05a44387f84ae0b24e24023286534d0bbdf65f.tar.gz
zsh-9b05a44387f84ae0b24e24023286534d0bbdf65f.tar.bz2
zsh-9b05a44387f84ae0b24e24023286534d0bbdf65f.zip
Adds glo; glp (arg)
* glo := git log --oneline * glp := git log --pretty=arg
Diffstat (limited to 'plugins')
-rw-r--r--plugins/git/git.plugin.zsh11
1 files changed, 11 insertions, 0 deletions
diff --git a/plugins/git/git.plugin.zsh b/plugins/git/git.plugin.zsh
index c1b382b2c..63a276d25 100644
--- a/plugins/git/git.plugin.zsh
+++ b/plugins/git/git.plugin.zsh
@@ -30,6 +30,8 @@ alias glg='git log --stat --max-count=5'
compdef _git glg=git-log
alias glgg='git log --graph --max-count=5'
compdef _git glgg=git-log
+alias glo='git log --oneline'
+compdef _git glo=git-log
alias gss='git status -s'
compdef _git gss=git-status
alias ga='git add'
@@ -59,3 +61,12 @@ alias ggpush='git push origin $(current_branch)'
compdef ggpush=git
alias ggpnp='git pull origin $(current_branch) && git push origin $(current_branch)'
compdef ggpnp=git
+
+# Pretty log messages
+function _git_log_prettily(){
+ if ! [ -z $1 ]; then
+ git log --pretty=$1
+ fi
+}
+alias glp="_git_log_prettily"
+compdef _git glp=git-log